org.springframework.messaging.rsocket

## Interface ClientRSocketFactoryConfigurer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

Deprecated.
as of 5.2.6 following the deprecation of `RSocketFactory.ClientRSocketFactory` in RSocket 1.0 RC7. Please, use `RSocketConnectorConfigurer`.

    @FunctionalInterface
     @Deprecated
    public interface ClientRSocketFactoryConfigurer

Strategy to apply configuration to a client side `RSocketFactory`. that's being prepared by `RSocketRequester.Builder` to connect to a server.

Since:
  5.2
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `configure(io.rsocket.RSocketFactory.ClientRSocketFactory rsocketFactory)` Deprecated. Apply configuration to the given `ClientRSocketFactory`.

### Method Detail

#### configure

    void configure(io.rsocket.RSocketFactory.ClientRSocketFactory rsocketFactory)

Deprecated.
Apply configuration to the given `ClientRSocketFactory`.